/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

body {
    font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
    font-weight: 300;
    text-align: left;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    overflow: hidden;
    margin: 0;
}


#noise {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    filter: blur(20px);
    transform: scale(1.1);
    z-index: -1;
}

.palka {
    height: 1px;
    background-color: #9c9c9c;
}

#wrapper {
    position: relative;
    z-index: 1;
    width: 300px;

    display: flex;
    flex-direction: column;
    gap: 15px 0;

    background: rgba(243, 243, 243, 0.5);
    backdrop-filter: blur(10px);
    border-radius: 2rem;
    overflow: hidden;
    padding: 2rem;

    box-shadow: 0 0 6px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: 0 0 6px rgba(0, 0, 0, 0.5);
    -webkit-box-shadow: 0 0 6px rgba(0, 0, 0, 0.5);
}

#submit_button:disabled {
    background-color: lightblue;
    color: gray;
    user-select: none;
    filter: brightness(80%);
    cursor: not-allowed;
}

@media (max-width: 450px) {
    #wrapper {
        width: 100%;
        border-radius: 0;
    }
}

.login-form {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    margin: 0;
    position: relative;
    gap: 15px 0;
}

.login-form .header h1 {
    font-family: 'Segoe UI', sans-serif;
    font-weight: 500;
    font-size: 70px;
    color: #414848;
    margin: 0;
}

.login-form .header {
    margin-bottom: 8px;
}

.login-form .header span {
    font-size: 11px;
    line-height: 16px;
    color: #678889;
    text-shadow: 1px 1px 0 rgba(256, 256, 256, 1.0);
}

/*******************
CONTENT
*******************/

.login-form .content {
    display: flex;
    flex-direction: column;
    gap: 8px 0;
}

/* Input field */
.login-form .content .input-row {
    display: flex;
    align-items: center;
    border-radius: 20px;
    background: white;
    overflow: hidden;
}

.login-form .content .input-row i {
    color: #9c9c9c;
}

.login-form .content .input {
    flex: 1;
    width: 100%;
    padding: 15px 56px;
    border: 0 !important;
    outline: none;

    font-family: sans-serif;
    font-weight: 400;
    font-size: 18px;
    color: #414848;

    background: white;
}

.login-form .content .input-row:focus-within {
    border: 2px solid #414848;
}

.login-form .content .input:hover {
    background: #efefef;
    color: #414848;
}

.login-form .errornote {
    color: #ff2f50;
}

.sms-info {
    margin-top: 10px;
    margin-bottom: 10px;
    color: gray
}

.sms-info-no-top {
    margin-top: 0;
    margin-bottom: 0;
    color: gray
}

.href_sms {
    text-decoration: none;
    border-bottom: 1px dashed;
    cursor: pointer;
    color: blue
}

.user-icon, .pass-icon, .sms-icon {
    width: 56px;
    height: 56px;
    color: #9c9c9c;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
}

/* Animation */
.input, .button, .register, .login-form .content div{
    transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
}

input:-internal-autofill-selected, input:-webkit-autofill {
    background-color: #000;
}

.login-form .footer {
    display: flex;
    flex-direction: column;
}

.login-form .content .input-row {
    border: 2px solid #9c9c9c;
}

/* Login button */
.login-form .footer .button {
    font-family: sans-serif;
    font-weight: 300;
    font-size: 20px;
    color: #fff;

    background: #9956e1;
    border: 1px solid #7c6cd5;
    border-radius: 20px;
    cursor: pointer;

    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    -khtml-border-radius: 20px;
}

.login-form .footer .button.button-decline {
    background: gray;
    border: 1px solid gray;
}

.login-form .button, .login-form .input {
    height: 56px;
}

.login-form .footer .button:hover {
    background: #a18dd3;
}

.login-form .footer .button:focus {
    position: relative;
    bottom: -1px;

    background: #a382e9;

    box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.5);
    -webkit-box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.5);
}

.oauth2-desc {
    font-size: 12px;
    color: gray;
}

.oauth2-desc ul {
    list-style: disc;
    padding: 15px 0 0 15px;
}

.password-control {
    position: absolute;
    border: 0;
    right: 25px;
    display: inline-block;
    width: 20px;
    height: 20px;
    background: #ff000000;
    color: #9c9c9c;
}

.repair {
    text-decoration: none;
    color: #606060;
}

.repair:hover {
    color: #353535;
}
